lib_x 0.1.8 copy "lib_x: ^0.1.8" to clipboard
lib_x: ^0.1.8 copied to clipboard

lib_x is an Object-Oriented approach to Flutter for a better architecture design. It provides Solutions for Routing, State Management, Data Provider & more.

Use this package as a library

Depend on it

Run this command:

With Flutter:

 $ flutter pub add lib_x

This will add a line like this to your package's pubspec.yaml (and run an implicit flutter pub get):

dependencies:
  lib_x: ^0.1.8

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:lib_x/lib_x.dart';
4
likes
140
pub points
0%
popularity

Publisher

unverified uploader

lib_x is an Object-Oriented approach to Flutter for a better architecture design. It provides Solutions for Routing, State Management, Data Provider & more.

Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

back_button_interceptor, flutter, intl, overlay_support, routemaster, url_strategy

More

Packages that depend on lib_x